Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.base
Class JRBaseValueDataset

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementDataset
          net.sf.jasperreports.engine.base.JRBaseChartDataset
              net.sf.jasperreports.charts.base.JRBaseValueDataset

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRValueDataset, JRChartDataset, JRCloneable, JRElementDataset

    public class JRBaseValueDataset

extends JRBaseChartDataset
implements JRValueDataset

An immutable version of a dataset that generates a single value. A value dataset is suitable for using with charts that show a single value against a potential range, such as meter chart or a thermometer chart.

Version:
  $Id: JRBaseValueDataset.java 3938 2010-08-19 14:59:36Z teodord $
Author:
  Barry Klawans (bklawans@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRExpression` | `valueExpression` The expression that returns the single value contained in this dataset.

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset
`datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset
`CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

Constructor Summary
`JRBaseValueDataset(JRChartDataset dataset)` Construct a new dataset that is a copy of an existing one.
`JRBaseValueDataset(JRValueDataset dataset, JRBaseObjectFactory factory)` Constructs a new dataset that is a copy of an existing one, and register all of the new dataset's expressions with the specified factory.

Method Summary
`java.lang.Object` | `clone()`
`void` | `collectExpressions(JRExpressionCollector collector)` Adds all the expression used by this plot with the specified collector.
`byte` | `getDatasetType()` Gets the dataset type.
`JRExpression` | `getValueExpression()` Returns the expression that indicates the value held by this dataset.
`void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset
`getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset
`getDatasetRun, getIncrementGroup, getIncrementType, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetType, getResetTypeValue`

Field Detail

### valueExpression

    protected JRExpression valueExpression

  The expression that returns the single value contained in this dataset.

Constructor Detail

### JRBaseValueDataset

    public JRBaseValueDataset(JRChartDataset dataset)

  Construct a new dataset that is a copy of an existing one.

  Parameters:
    `dataset` - the dataset to copy

### JRBaseValueDataset

    public JRBaseValueDataset(JRValueDataset dataset,
                              JRBaseObjectFactory factory)

  Constructs a new dataset that is a copy of an existing one, and register all of the new dataset's expressions with the specified factory.

  Parameters:
    `dataset` - the datast to copy
    `factory` - the factory to register the new dataset's expressions with

Method Detail

### getValueExpression

    public JRExpression getValueExpression()

  Description copied from interface: `JRValueDataset`
  Returns the expression that indicates the value held by this dataset.

  Specified by:
    `getValueExpression` in interface `JRValueDataset`
  Returns:
    the expression that indicates the value held by this dataset

### getDatasetType

    public byte getDatasetType()

  Description copied from interface: `JRChartDataset`
  Gets the dataset type. Must be one of the dataset type constants defined in this class.

  Specified by:
    `getDatasetType` in interface `JRChartDataset`

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Adds all the expression used by this plot with the specified collector. All collected expression that are also registered with a factory will be included with the report is compiled.

  Specified by:
    `collectExpressions` in interface `JRElementDataset`
  Parameters:
    `collector` - the expression collector to use

### validate

    public void validate(JRVerifier verifier)

  Description copied from interface: `JRChartDataset`
  Validates the dataset using a verifier.

  Broken rules are collected by the verifier.

  Specified by:
    `validate` in interface `JRChartDataset`
  Parameters:
    `verifier` - the verifier to use for validation

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseElementDataset`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com